Gentoo Archives: gentoo-commits

From: Louis Sautier <sbraz@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/importlib_metadata/
Date: Wed, 11 Sep 2019 21:03:56
Message-Id: 1568235822.f6e6b62cf91ca3b90089f8656e54bd7eefe83551.sbraz@gentoo
commit:     f6e6b62cf91ca3b90089f8656e54bd7eefe83551
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 11 21:03:01 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 21:03:42 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6e6b62c

dev-python/importlib_metadata: bump to 0.22

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/importlib_metadata/Manifest             |  1 +
 .../importlib_metadata-0.22.ebuild                 | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/importlib_metadata/Manifest b/dev-python/importlib_metadata/Manifest
index 3d3c19389b9..51194062588 100644
--- a/dev-python/importlib_metadata/Manifest
+++ b/dev-python/importlib_metadata/Manifest
@@ -1,2 +1,3 @@
 DIST importlib_metadata-0.20.tar.gz 23712 BLAKE2B 0af0b4fad171f24aad0b387af98b9f5c0bfec14e7f358e45afb70650dd1daf3b8abde8012ebe2e4f5751792d542d2567dda856696de8cdf96f27b50560c55645 SHA512 663d6af2f2d83c4744809b4b58ebe4152962ee40ecf17070a532614c7238a88374aa70fcefb6b7ce26d2d351b00c0859ce590f734bdd2ef76ad58b041307a95b
 DIST importlib_metadata-0.21.tar.gz 24693 BLAKE2B bf57095bbb5eea1d09c5af90ce33946431bdad08bdfc32a8eabb29fc21ddc0f8b450631bba3eb7f2fe3635dfa0130d4bb7449cc2975b7e4740b945972560d5fc SHA512 f20e05c7806a08417020573b0e1d6c57009325c7e21dba46d18c93e24d8c696d66d4628b83093815f443d7f0797ca5a946f1e5476037007c04378c24cca0a2be
+DIST importlib_metadata-0.22.tar.gz 24951 BLAKE2B 63ffee037f1c6ebf47d6c99fa7ff7974b629869b272709bfdf700d34c6f507031b79b5d691c95a69204ec3df28765af00eaa07c1d96b590e983202be0fc5f0ef SHA512 73178fda41a8ac71f45e8c6220f43b757b53c47bd9fb8295a2a510537436bbc2c7b1451608ca6fc0bda687d3e38a6132950bc9bdc8d0fc3e234f510f2026c7f0

diff --git a/dev-python/importlib_metadata/importlib_metadata-0.22.ebuild b/dev-python/importlib_metadata/importlib_metadata-0.22.ebuild
new file mode 100644
index 00000000000..665f1f6de4f
--- /dev/null
+++ b/dev-python/importlib_metadata/importlib_metadata-0.22.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read metadata from Python packages"
+HOMEPAGE="https://importlib-metadata.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/zipp[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '>=dev-python/configparser-3.5[${PYTHON_USEDEP}]' -2)
+	$(python_gen_cond_dep 'dev-python/contextlib2[${PYTHON_USEDEP}]' -2)
+	$(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]' -2)
+"
+BDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/setuptools_scm[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		$(python_gen_cond_dep 'dev-python/importlib_resources[${PYTHON_USEDEP}]' pypy pypy3 python2_7 python3_5 python3_6)
+		dev-python/packaging[${PYTHON_USEDEP}]
+	)
+	doc? (
+		>=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+		dev-python/sphinx[${PYTHON_USEDEP}]
+	)
+"
+python_prepare_all() {
+	sed -i "/'sphinx.ext.intersphinx'/d" ${PN}/docs/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		sphinx-build ${PN}/docs docs/_build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
+}
+
+python_test() {
+	"${EPYTHON}" -m unittest discover -v || die "tests failed with ${EPYTHON}"
+}